<?php
namespace App\Test\TestCase\Model\Table;

use App\Model\Table\WlDstTypTable;
use Cake\ORM\TableRegistry;
use Cake\TestSuite\TestCase;

/**
 * App\Model\Table\WlDstTypTable Test Case
 */
class WlDstTypTableTest extends TestCase
{

    /**
     * Test subject
     *
     * @var \App\Model\Table\WlDstTypTable
     */
    public $WlDstTyp;

    /**
     * Fixtures
     *
     * @var array
     */
    public $fixtures = [
        'app.wl_dst_typ'
    ];

    /**
     * setUp method
     *
     * @return void
     */
    public function setUp()
    {
        parent::setUp();
        $config = TableRegistry::exists('WlDstTyp') ? [] : ['className' => WlDstTypTable::class];
        $this->WlDstTyp = TableRegistry::get('WlDstTyp', $config);
    }

    /**
     * tearDown method
     *
     * @return void
     */
    public function tearDown()
    {
        unset($this->WlDstTyp);

        parent::tearDown();
    }

    /**
     * Test initialize method
     *
     * @return void
     */
    public function testInitialize()
    {
        $this->markTestIncomplete('Not implemented yet.');
    }

    /**
     * Test validationDefault method
     *
     * @return void
     */
    public function testValidationDefault()
    {
        $this->markTestIncomplete('Not implemented yet.');
    }
}
